Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
{year}
/
{month}
/
status
GST Return status
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/status \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/status"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/{year}/{month}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "action": "RESET",
      "form_typ": "R1",
      "status_cd": "P"
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "c34bd5f1-d986-46fd-be85-457587ffda0e"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Query Parameters

reference_id
string
required

required Reference ID

Example:

"{{reference_id}}"

Response

200 - application/json

200 GSTR-1 save processed / 200 GSTR-1 save processed with error / 200 GSTR-1 reset processed / 200 GSTR-3B save processed / 200 GSTR-9 save processed / 200 GSTR-9 save processed with error / RET191350 HSN code is not valid as per AATO / RET191353 The UQC entered is not valid / RET191355 The Quantity entered is not valid / RET191175 Enter GST rate as per the rate list / RET191106 Error in JSON structure / RET191251 RESET is under process / 200 Reset Request Received

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"dc8e3fd8-6e7e-49aa-9c79-16b473f05e34"